#ifndef BASE64_H
#define BASE64_H

#include <string>

namespace base64 {
/**
 * Decodes base64 encoded strings.
 *
 * @param val base64 encoded string
 *
 * @return normal string
 */
std::string decode(const std::string &val);

/**
 * Encodes base64 encoded strings.
 *
 * @param val normal string
 *
 * @return base64 encoded string
 */
std::string encode(const std::string &val);
} // namespace base64

#endif
